# Generated by Django 2.2.3 on 2019-08-09 15:18

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('user', '0003_auto_20190729_1245'),
        ('category', '0005_auto_20190729_1644'),
    ]

    operations = [
        migrations.CreateModel(
            name='CategoryScore',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('score', models.IntegerField()),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='user_scores', to='category.Category')),
                ('profile', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='scores', to='user.Profile')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
